Hide navigation sidebar
Hide table of contents sidebar
Skip to content
Back to top
View this page
Toggle table of contents sidebar

# ChatBoostSourcePremium

Added in version 20.8.

class telegram.ChatBoostSourcePremium(user, *, api_kwargs=None)

  Bases: `telegram.ChatBoostSource`

  The boost was obtained by subscribing to Telegram Premium or by gifting a Telegram Premium subscription to another user.

  Available In

  - `telegram.ChatBoost.source`

  - `telegram.ChatBoostRemoved.source`

  Added in version 20.8.

  Parameters:

    user (`telegram.User`) – User that boosted the chat.

  source

    The source of the chat boost. Always `PREMIUM`.

    Type:

      `str`

  user

    User that boosted the chat.

    Type:

      `telegram.User`